Bug 1488058 - Fix multiple issues related to DPDK derive parameters
Summary: Fix multiple issues related to DPDK derive parameters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Jaganathan Palanisamy
QA Contact: Yariv
URL:
Whiteboard:
Depends On:
Blocks: 1617925
TreeView+ depends on / blocked
 
Reported: 2017-09-04 08:29 UTC by Jaganathan Palanisamy
Modified: 2018-08-20 12:59 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-common-7.6.13-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1617925 (view as bug list)
Environment:
Last Closed: 2018-08-20 12:58:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59:12 UTC
OpenStack gerrit 500888 None None None 2018-01-19 06:32:39 UTC
OpenStack gerrit 511410 None None None 2018-01-19 06:33:32 UTC
OpenStack gerrit 527112 None None None 2018-01-19 06:35:47 UTC
OpenStack gerrit 527877 None None None 2018-01-19 06:34:44 UTC
Launchpad 1714461 None None None 2017-09-04 08:32:12 UTC
Launchpad 1714471 None None None 2017-09-04 08:29:48 UTC
Launchpad 1714474 None None None 2017-09-04 08:31:40 UTC
Launchpad 1714476 None None None 2017-09-04 08:32:33 UTC

Description Jaganathan Palanisamy 2017-09-04 08:29:49 UTC
Description of problem:
Multiple issues related to DPDK derive parameters
1) Getting stack already exists issue in the environment where overcloud with same name is already deployed. get_network_config action is failing and error message is stack already exists if overcloud is deployed already.
2) get_network_config action is not providing the validation message when not able to determine the network config for any role.
3) ODL DPDK condition is missing to check whether DPDK features is enabled or not in ODL to support the derive parameters.
4) Empty messages are not filtered for the roles which are success. Derive parameters failure message format needs to be changed to display only failures messages.

Version-Release number of selected component (if applicable):
OSP12

How reproducible:


Steps to Reproduce:


Actual results:


Expected results:


Additional info:

Comment 1 Jaganathan Palanisamy 2017-12-11 12:16:53 UTC
Below patches are merged in upstream and back-ported to stable/pike.
https://review.openstack.org/#/c/489168/
https://review.openstack.org/#/c/486425/

Below patches are in progress to merge in upstream.
https://review.openstack.org/#/c/488362/
https://review.openstack.org/#/c/481524/

Comment 3 Jaganathan Palanisamy 2017-12-18 09:28:28 UTC
All the patches are merged in upstream.
https://review.openstack.org/#/c/488362/
https://review.openstack.org/#/c/481524/

Above patches are backported to stable/pike but merging is in progress.
https://review.openstack.org/#/c/527877/
https://review.openstack.org/#/c/527112/

Comment 4 Jaganathan Palanisamy 2018-03-19 10:01:52 UTC
Below backported patches are merged in stable/pike:
https://review.openstack.org/#/c/527112/
https://review.openstack.org/#/c/511410/
https://review.openstack.org/#/c/500888/

Comment 5 Jaganathan Palanisamy 2018-03-19 12:10:01 UTC
Below backported patch is also merged in stable/pike:
https://review.openstack.org/#/c/527877/

Comment 20 Yariv 2018-08-14 17:48:28 UTC
ODL is TechPreview for Pike
Please move it to Queens z release

Comment 21 Yariv 2018-08-15 12:35:41 UTC
Closing this BZ will Reopen for Queens [ODL is TP in Pike]

Comment 22 Yariv 2018-08-15 14:30:52 UTC
(In reply to Jaganathan Palanisamy from comment #0)
> Description of problem:
> Multiple issues related to DPDK derive parameters
> 1) Getting stack already exists issue in the environment where overcloud
> with same name is already deployed. get_network_config action is failing and
> error message is stack already exists if overcloud is deployed already.

Jagan, Please advise how to Verify? is unit test is enough?

> 2) get_network_config action is not providing the validation message when
> not able to determine the network config for any role.

Jagan, Please advise how to Verify? is unit test is enough?

> 3) ODL DPDK condition is missing to check whether DPDK features is enabled
> or not in ODL to support the derive parameters.

Should move to 13 since ODL is TP Queens 

> 4) Empty messages are not filtered for the roles which are success. Derive
> parameters failure message format needs to be changed to display only
> failures messages.

Jagan, Please advise how to Verify? is unit test is enough?


> 
> Version-Release number of selected component (if applicable):
> OSP12
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 
> 
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:

Comment 23 Jaganathan Palanisamy 2018-08-16 07:19:33 UTC
(In reply to Yariv from comment #22)
> (In reply to Jaganathan Palanisamy from comment #0)
> > Description of problem:
> > Multiple issues related to DPDK derive parameters
> > 1) Getting stack already exists issue in the environment where overcloud
> > with same name is already deployed. get_network_config action is failing and
> > error message is stack already exists if overcloud is deployed already.
> 
> Jagan, Please advise how to Verify? is unit test is enough?
Yariv, Need to check whether derives the parameters once overcloud deployment is done.

> 
> > 2) get_network_config action is not providing the validation message when
> > not able to determine the network config for any role.
> 
> Jagan, Please advise how to Verify? is unit test is enough?
Validation message 'Unable to determine network config for role' will be displayed if network config is not provided for any role.
> 
> > 3) ODL DPDK condition is missing to check whether DPDK features is enabled
> > or not in ODL to support the derive parameters.
> 
> Should move to 13 since ODL is TP Queens 
> 
> > 4) Empty messages are not filtered for the roles which are success. Derive
> > parameters failure message format needs to be changed to display only
> > failures messages.
> 
> Jagan, Please advise how to Verify? is unit test is enough?
Failure message format can be verified by providing invalid value for custom plan env workflow input 'num_phy_cores_per_numa_node_for_pmd' or 'huge_page_allocation_percentage'.
> 
> 
> > 
> > Version-Release number of selected component (if applicable):
> > OSP12
> > 
> > How reproducible:
> > 
> > 
> > Steps to Reproduce:
> > 
> > 
> > Actual results:
> > 
> > 
> > Expected results:
> > 
> > 
> > Additional info:

Comment 25 errata-xmlrpc 2018-08-20 12:58:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.